Bug 1685475 (CVE-2019-0757) - CVE-2019-0757 dotnet: NuGet Tampering Vulnerability
Summary: CVE-2019-0757 dotnet: NuGet Tampering Vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0757
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685718 1685720 1686097 1686624 1686640 1710881
Blocks: 1685476
TreeView+ depends on / blocked
 
Reported: 2019-03-05 10:12 UTC by Andrej Nemec
Modified: 2021-02-16 22:18 UTC (History)
11 users (show)

Fixed In Version: dotnet 2.1.9, dotnet 2.2.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in dotnet. A tampering vulnerability exists in NuGet software when executed in a Linux or Mac environment. An attacker who successfully exploits the vulnerability could run arbitrary code in the context of the current user. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:49:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0544 0 None None None 2019-03-13 14:03:30 UTC
Red Hat Product Errata RHSA-2019:1259 0 None None None 2019-05-22 10:22:15 UTC

Description Andrej Nemec 2019-03-05 10:12:48 UTC
A tampering vulnerability exists in NuGet software when executed in a Linux or Mac environment. An attacker who successfully exploited the vulnerability could run arbitrary code in the context of the current user.

Comment 5 errata-xmlrpc 2019-03-13 14:03:29 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2019:0544 https://access.redhat.com/errata/RHSA-2019:0544

Comment 7 errata-xmlrpc 2019-05-22 10:22:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1259 https://access.redhat.com/errata/RHSA-2019:1259

Comment 8 Stefan Cornelius 2019-06-02 23:04:00 UTC
External References:

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-0757


Note You need to log in before you can comment on or make changes to this bug.